66: fix manpage generation, fix INSTALL.msg.
This commit is contained in:
parent
7e4e22d5b5
commit
6b17cda2d1
3 changed files with 43 additions and 4 deletions
|
@ -1,6 +1,5 @@
|
||||||
CAUTION: package revision 0.6.1.1_2 changes the default system-dir
|
CAUTION: package revision 0.6.1.1_2 changes the default system-dir
|
||||||
from /var/lib/66 to /etc/66/lib. The change requires user intervention.
|
from /var/lib/66 to /etc/66/lib. The change requires user intervention.
|
||||||
Users who upgrade from an earlier version should either copy the
|
Users who upgrade from an earlier version should re-create all trees
|
||||||
contents of the old dir to the new one after installation, or re-create
|
and re-enable services in them. That should be done before rebooting/halting
|
||||||
trees and re-enable services. That should be done before rebooting/halting
|
|
||||||
the system.
|
the system.
|
||||||
|
|
40
srcpkgs/66/patches/man_page_fix.diff
Normal file
40
srcpkgs/66/patches/man_page_fix.diff
Normal file
|
@ -0,0 +1,40 @@
|
||||||
|
diff --git a/doc/make-man.sh b/doc/make-man.sh
|
||||||
|
index fd5d9cd..0c3fee6 100755
|
||||||
|
--- a/doc/make-man.sh
|
||||||
|
+++ b/doc/make-man.sh
|
||||||
|
@@ -14,29 +14,26 @@ done
|
||||||
|
|
||||||
|
for i in ${man1}; do
|
||||||
|
lowdown -s -Tman doc/"${i}".md -o doc/man/man1/"${i}".1 || exit 1
|
||||||
|
- var=$(head -n1 < doc/man/man1/"${i}".1)
|
||||||
|
+ var=$( sed -n -e '/^.TH/p' < doc/man/man1/"${i}".1)
|
||||||
|
var=$(printf '%s' "$var" | tr '7' '1')
|
||||||
|
- var="${var} \"\" \"General Commands Manual\""
|
||||||
|
sed -i "s!^.TH.*!${var}!" doc/man/man1/"${i}".1 || exit 1
|
||||||
|
- sed -i '2,5d' doc/man/man1/"${i}".1 || exit 1
|
||||||
|
+ sed -i '4,8d' doc/man/man1/"${i}".1 || exit 1
|
||||||
|
done
|
||||||
|
|
||||||
|
for i in ${man5}; do
|
||||||
|
lowdown -s -Tman doc/"${i}".md -o doc/man/man5/"${i}".5 || exit 1
|
||||||
|
- var=$(head -n1 < doc/man/man5/"${i}".5)
|
||||||
|
+ var=$( sed -n -e '/^.TH/p' < doc/man/man5/"${i}".5)
|
||||||
|
var=$(printf '%s' "$var" | tr '7' '5')
|
||||||
|
- var="${var} \"\" \"File Formats Manual\""
|
||||||
|
sed -i "s!^.TH.*!${var}!" doc/man/man5/"${i}".5 || exit 1
|
||||||
|
- sed -i '2,5d' doc/man/man5/"${i}".5 || exit 1
|
||||||
|
+ sed -i '4,8d' doc/man/man5/"${i}".5 || exit 1
|
||||||
|
done
|
||||||
|
|
||||||
|
for i in ${man8}; do
|
||||||
|
lowdown -s -Tman doc/"${i}".md -o doc/man/man8/"${i}".8 || exit 1
|
||||||
|
- var=$(head -n1 < doc/man/man8/"${i}".8)
|
||||||
|
+ var=$( sed -n -e '/^.TH/p' < doc/man/man8/"${i}".8)
|
||||||
|
var=$(printf '%s' "$var" | tr '7' '8')
|
||||||
|
- var="${var} \"\" \"System Administration\""
|
||||||
|
sed -i "s!^.TH.*!${var}!" doc/man/man8/"${i}".8 || exit 1
|
||||||
|
- sed -i '2,5d' doc/man/man8/"${i}".8 || exit 1
|
||||||
|
+ sed -i '4,8d' doc/man/man8/"${i}".8 || exit 1
|
||||||
|
done
|
||||||
|
|
||||||
|
exit 0
|
|
@ -1,7 +1,7 @@
|
||||||
# Template file for '66'
|
# Template file for '66'
|
||||||
pkgname=66
|
pkgname=66
|
||||||
version=0.6.1.1
|
version=0.6.1.1
|
||||||
revision=2
|
revision=3
|
||||||
wrksrc="66-v${version}"
|
wrksrc="66-v${version}"
|
||||||
build_style=configure
|
build_style=configure
|
||||||
configure_args="--prefix=/usr
|
configure_args="--prefix=/usr
|
||||||
|
|
Loading…
Add table
Add a link
Reference in a new issue